> For the complete documentation index, see [llms.txt](https://docs.spadnext.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.spadnext.com/changes/26.7.0.md).

# 26.7.0

**not released to public yet**

## Devices

* Add MobiFlight devices support
* Add WinCTRL TCAS support
* Add WinCTRL RMP upport
* Add WingFlex RMP Cube support
* Add WingFlex DAP-500 support
* WinCtrl AGP: Fix ambient sensor
* WinCTRL CDU: Add setting for disabling lower case character support
* X-Touch Mini set device to midi mode upon exit
* Rotary-Switches (e.g efis / tcas) will raise tuner events additionally
* Add ToLiss Airbus A346 CDU support

## Important changes/additions

* Add Support for L:1:XXXX (local aircraft) sim lvars
* Add option to create custom lvar (DefintionBrowser, select Lvar categroy, press "Create LVAR")
* CDU: All aircraft cdu pages are enforced to uppercase, as defined in ARINC 424
* CDU: Scratchpad row no longer uses smallfont by default

## Event-Programming

* Add new EVENT:-Data: DEVICE\_ID, DEVICE\_PAGE\_ID, DEVICE\_PAGE\_NUM, DEVICE\_PAGE\_NAME
* Add "Set String" operation to EventChangeData
* Play sound: Add option to wait for finish of audio
* Conditions: Add IsEmpty (string) , IsNotEmpty(string)

## Functions

* ButtonGauges: Add Drop\&Drop swapping
* ButtonGauges: Add Templates
* ButtonGauges: Add ScratchPad
* Enable Paging for all Joysticks and all devices that already migrated to new device concept
* Add testmode button to applicable devices

## Expressions

* Expressions: Add IndexOf(stringWhat,stringWhere\[,bool])
* Expressions: Add SendDeviceCommand(deviceId,eventId,parameter). Currently only supported eventid: PAGE\_SWITCH
* Expressions: Add Fract(value) to get decimal fraction part of a number (opposite to Trunc(value) )
* Expressions: Add IsEmpty (string) , IsNotEmpty(string)
* Expressions: Add IndexOf(stringWhat,stringWhere\[,bool])

## UI

* UI: Fix spad not reacting on taskbar close if any dialog is open
* UI: Fix dialogs not always reacting to ESC to close
* UI: Rework of Response-Curve editing
* Fix profile rename might delete profile
* UI: Show position in expression edit
* ImageCache: Switch to SQLite db


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.spadnext.com/changes/26.7.0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
